KWizard class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KWizard Class Reference

General-purpose multi-page dialog. More...

`#include <kwizard.h>`

Inheritance diagram for KWizard:

[legend]
Collaboration diagram for KWizard:

[legend]
List of all members.

## Public Member Functions
| KWizard (QWidget *parent=0, const char *name=0, bool modal=false, WFlags f=0)
| Constructor.
| ~KWizard ()
| Destructor.

## Detailed Description

General-purpose multi-page dialog.

KWizard is a class for a multi-page dialog. The user can navigate trough the pages with "Next" and "Back" buttons and is optionally offered "Finish", "Cancel" and "Help" buttons. A wizard comes in handy for tutorials or configuration dialogs with sequential steps.

KWizard is just a wrapper for Qt's QWizard class. See the QWizard documentation for a detailed description of available functions. The only added functionality is a KDE conformant translation mechanism for the built-in buttons.

Author:
  Harri Porten <porten@kde.org>

Version:
  0.3

Definition at line 44 of file kwizard.h.

## Constructor & Destructor Documentation

KWizard::KWizard | ( | QWidget * | parent = 0,
|  | const char * | name = 0,
|  | bool | modal = false,
|  | WFlags | f = 0
| ) |

| Constructor. Definition at line 29 of file kwizard.cpp. References QWizard::backButton(), QWizard::cancelButton(), QWizard::finishButton(), QWizard::helpButton(), KStdAccel::name(), QWizard::nextButton(), QApplication::reverseLayout(), QFont::setBold(), QWizard::setTitleFont(), and QWizard::titleFont().

KWizard::~KWizard | ( |  | ) | `[inline]`

| Destructor. Definition at line 55 of file kwizard.h.

The documentation for this class was generated from the following files:

- kwizard.h
- kwizard.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:05:25 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001